LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XCellAddressable Interface Referencepublished

represents a cell which can be addressed with a com::sun::star::table::CellAddress. More...

`import"XCellAddressable.idl";`

Inheritance diagram for XCellAddressable:

## Public Member Functions
com::sun::star::table::CellAddress | getCellAddress ()
| returns the address of the cell in the spreadsheet document. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a cell which can be addressed with a com::sun::star::table::CellAddress.

Developers Guide
  Spreadsheets - Cells Absolute Address

## Member Function Documentation

## ◆ getCellAddress()

com::sun::star::table::CellAddress getCellAddress | ( |  | ) |

returns the address of the cell in the spreadsheet document.

The com::sun::star::table::CellAddress can be used to address the cell within its document.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellAddressable.idl